# accounts

Business wallets — balances, transactions and cashflow.

 - [GET /accounts](https://developer.boyahq.com/v2/openapi/accounts/accountscontroller_listuseraccounts.md)
 - [POST /accounts](https://developer.boyahq.com/v2/openapi/accounts/accountscontroller_createaccount.md)
 - [GET /accounts/business-currencies](https://developer.boyahq.com/v2/openapi/accounts/accountscontroller_getbusinesscurrencies.md)
 - [POST /accounts/create-new-currency](https://developer.boyahq.com/v2/openapi/accounts/accountscontroller_createnewcurrency.md): Creates a new currency record for the business on the upstream service. The currency is required before any wallet can be created in that currency.
 - [POST /accounts/add-new-account](https://developer.boyahq.com/v2/openapi/accounts/accountscontroller_addnewaccount.md): Creates a wallet for the business in the requested currency. If the currency does not yet exist for the business it is provisioned first. Wallets are unique per (currency, walletType).
 - [GET /accounts/cashflow-report](https://developer.boyahq.com/v2/openapi/accounts/accountscontroller_getcashflowreport.md)
 - [GET /accounts/{id}](https://developer.boyahq.com/v2/openapi/accounts/accountscontroller_getaccount.md)
 - [PUT /accounts/{id}](https://developer.boyahq.com/v2/openapi/accounts/accountscontroller_updateaccount.md)
 - [GET /accounts/{id}/balance](https://developer.boyahq.com/v2/openapi/accounts/accountscontroller_getaccountbalance.md)
 - [GET /accounts/{id}/transactions](https://developer.boyahq.com/v2/openapi/accounts/accountscontroller_getaccounttransactions.md)
 - [PUT /accounts/{id}/suspend](https://developer.boyahq.com/v2/openapi/accounts/accountscontroller_suspendaccount.md)
 - [PUT /accounts/{id}/activate](https://developer.boyahq.com/v2/openapi/accounts/accountscontroller_activateaccount.md)
